Initiate Workflow Task Action
Initiate an object workflow task action on a specific object record. On SUCCESS, the specified object workflow task action is initiated on the object record.
POST
/api/{version}/objects/objectworkflows/tasks/{task_id}/actions/{task_action}Headers
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/json or application/x-www-form-urlencoded |
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{task_id} | The task id field value. |
{task_action} | The name of the task action retrieved from Retrieve Workflow Task Actions. |
Body Parameters
Section link for Body ParametersRequired parameters depend on the action being initiated. Controls marked as required in the Retrieve Workflow Task Action Details request must be provided. If a control (such as verdict) defines a set of required fields, those must also be provided.
For example, the following request parameters may apply to the complete action:
| Name | Description |
|---|---|
verdict | The verdict name returned in Retrieve Workflow Task Action Details. |
reason | The reason name returned in Retrieve Workflow Task Action Details. |
The cancel action doesn't require any parameters.
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-H "Accept: application/xml" \
-d "verdict__v=reject__c" \
-d "reason__v=reg_affairs__c" \
https://myvault.veevavault.com/api/v18.2/objects/objectworkflows/tasks/7201/actions/completeResponse
Section link for Response{
"responseStatus": "SUCCESS"
}